javax.jdo.metadata

## Interface DatastoreIdentityMetadata

- All Superinterfaces:
    Metadata

      public interface DatastoreIdentityMetadata
      extends Metadata

  Represents the datastore identity of a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()` Accessor for the datastore identity column name.
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the datastore identity.
    `String` | `getCustomStrategy()` Accessor for the custom strategy (overriding "strategy").
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this datastore identity.
    `String` | `getSequence()` Accessor for the sequence key (when using "sequence" strategy)
    `IdGeneratorStrategy` | `getStrategy()` Accessor for the identity generation strategy.
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this datastore identity.
    `DatastoreIdentityMetadata` | `setColumn(String column)` Method to set the datastore identity column name.
    `DatastoreIdentityMetadata` | `setCustomStrategy(String strategy)` Method to set the custom identity generation strategy.
    `DatastoreIdentityMetadata` | `setSequence(String seq)` Method to set the sequence key (when using "sequence" strategy).
    `DatastoreIdentityMetadata` | `setStrategy(IdGeneratorStrategy strategy)` Method to set the identity generation strategy.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setColumn

          DatastoreIdentityMetadata setColumn(String column)

      Method to set the datastore identity column name.
      Parameters:
        `column` - Name of the datastore identity column
      Returns:
        This metadata object

    - #### getColumn

          String getColumn()

      Accessor for the datastore identity column name.
      Returns:
        The column name

    - #### setStrategy

          DatastoreIdentityMetadata setStrategy(IdGeneratorStrategy strategy)

      Method to set the identity generation strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getStrategy

          IdGeneratorStrategy getStrategy()

      Accessor for the identity generation strategy.
      Returns:
        The strategy

    - #### setCustomStrategy

          DatastoreIdentityMetadata setCustomStrategy(String strategy)

      Method to set the custom identity generation strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getCustomStrategy

          String getCustomStrategy()

      Accessor for the custom strategy (overriding "strategy").
      Returns:
        The strategy

    - #### setSequence

          DatastoreIdentityMetadata setSequence(String seq)

      Method to set the sequence key (when using "sequence" strategy).
      Parameters:
        `seq` - Sequence key
      Returns:
        This metadata object

    - #### getSequence

          String getSequence()

      Accessor for the sequence key (when using "sequence" strategy)
      Returns:
        The sequence

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the datastore identity.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this datastore identity.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this datastore identity.
      Returns:
        The number of columns

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.